# PSystemLogToNetwork Class Reference

Log system output to the network using RFC 3164 BSD syslog protocol. More...

`#include <syslog.h>`

Inheritance diagram for PSystemLogToNetwork:

List of all members.

## Public Types

| RFC3164_Port = 514
enum | { RFC3164_Port = 514 }

## Public Member Functions

Construction
| PSystemLogToNetwork (const PIPSocket::Address &address, WORD port=RFC3164_Port, unsigned facility=16)
| PSystemLogToNetwork (const PString &hostname, WORD port=RFC3164_Port, unsigned facility=16)
Overrides of PSystemLogTarget
virtual void | Output (PSystemLog::Level level, const char *msg)
| Log an error into the system log.

## Protected Attributes

PIPSocket::Address | m_host
WORD | m_port
unsigned | m_facility
PUDPSocket | m_socket

## Detailed Description

Log system output to the network using RFC 3164 BSD syslog protocol.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  RFC3164_Port |

## Constructor & Destructor Documentation

PSystemLogToNetwork::PSystemLogToNetwork | ( | const PIPSocket::Address & | address,
|  | WORD | port = `RFC3164_Port`,
|  | unsigned | facility = `16` |
| ) |  |  |

Parameters:

  address | Host to send data to
  port | Port for UDP packet
  facility | facility code

PSystemLogToNetwork::PSystemLogToNetwork | ( | const PString & | hostname,
|  | WORD | port = `RFC3164_Port`,
|  | unsigned | facility = `16` |
| ) |  |  |

Parameters:

  hostname | Host to send data to
  port | Port for UDP packet
  facility | facility code

## Member Function Documentation

virtual void PSystemLogToNetwork::Output | ( | PSystemLog::Level | level,
|  | const char * | msg |
| ) |  |  | `[virtual]`

Log an error into the system log.

Parameters:

  level | Level of this message
  msg | Message to be logged

Implements PSystemLogTarget.

## Member Data Documentation

unsigned PSystemLogToNetwork::m_facility `[protected]`

PIPSocket::Address PSystemLogToNetwork::m_host `[protected]`

WORD PSystemLogToNetwork::m_port `[protected]`

PUDPSocket PSystemLogToNetwork::m_socket `[protected]`

The documentation for this class was generated from the following file:

- syslog.h